Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.swing.svg
Class LinkActivationEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.swing.svg.LinkActivationEvent

All Implemented Interfaces:
  java.io.Serializable

public class LinkActivationEvent
extends java.util.EventObject

This class represents an event which indicate an event originated from a GVTTreeBuilder instance.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `referencedURI` The URI the link references.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`LinkActivationEvent(java.lang.Object source, SVGAElement link, java.lang.String uri)` Creates a new LinkActivationEvent.

Method Summary
`java.lang.String` | `getReferencedURI()` Returns the referenced URI.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### referencedURI

    protected java.lang.String referencedURI

  The URI the link references.

Constructor Detail

### LinkActivationEvent

    public LinkActivationEvent(java.lang.Object source,
                               SVGAElement link,
                               java.lang.String uri)

  Creates a new LinkActivationEvent.

Parameters:
  `source` - the object that originated the event, ie. the GVTTreeBuilder.
  `link` - the link element.
  `uri` - the URI of the document loaded.

Method Detail

### getReferencedURI

    public java.lang.String getReferencedURI()

  Returns the referenced URI.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.